gr-baz Package

baz_time_keeper.h File Reference
`#include <gnuradio/sync_block.h>`
`#include <gnuradio/thread/thread.h>`
Include dependency graph for baz_time_keeper.h:

Go to the source code of this file.

## Classes
class | baz_time_keeper
| square2 a stream of floats. More...

## Functions
BAZ_API baz_time_keeper_sptr | baz_make_time_keeper (int item_size, float sample_rate)
| Return a shared_ptr to a new instance of baz_time_keeper.

## Variables
class BAZ_API | baz_time_keeper

## Function Documentation

## ◆ baz_make_time_keeper()

BAZ_API baz_time_keeper_sptr baz_make_time_keeper | ( | int | item_size,
|  | float | sample_rate )

Return a shared_ptr to a new instance of baz_time_keeper.

To avoid accidental use of raw pointers, baz_time_keeper's constructor is private. howto_make_square2_ff is the public interface for creating new instances.

References BAZ_API.

## Variable Documentation

## ◆ baz_time_keeper

class BAZ_API baz_time_keeper